summaryrefslogtreecommitdiff
path: root/src/scripts/12patch.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:04:21 +0200
committerDaniel Baumann <daniel@debian.org>2007-09-23 10:04:21 +0200
commitc9462fd48b0d4fb9968641e46c3350fb5e9986a2 (patch)
treee14a49ee47996090c87a23c86d2e2c2ac877a70e /src/scripts/12patch.sh
parentfb35af8aa207ef5377022028d9e2b497445fb349 (diff)
downloadlive-build-c9462fd48b0d4fb9968641e46c3350fb5e9986a2.zip
live-build-c9462fd48b0d4fb9968641e46c3350fb5e9986a2.tar.gz
Adding live-package 0.99.4-1.
Diffstat (limited to 'src/scripts/12patch.sh')
-rw-r--r--src/scripts/12patch.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/src/scripts/12patch.sh b/src/scripts/12patch.sh
index 16be344..873865c 100644
--- a/src/scripts/12patch.sh
+++ b/src/scripts/12patch.sh
@@ -27,6 +27,30 @@ Patch_chroot ()
esac
}
+Patch_runlevel ()
+{
+ # Disabling all init scripts with a blocking policy as in
+ # /usr/share/doc/sysv-rc/README.policy-rc.d.gz.
+
+ case "${1}" in
+ apply)
+ # Create init policy
+ echo > "${LIVE_CHROOT}"/usr/sbin/policy-rc.d <<EOF
+#!/bin/sh
+
+exit 101
+EOF
+
+ chmod 0755 "${LIVE_CHROOT}"/usr/sbin/policy-rc.d
+ ;;
+
+ deapply)
+ # Removing init policy
+ rm -f "${LIVE_CHROOT}"/usr/sbin/policy-rc.d
+ ;;
+ esac
+}
+
Patch_network ()
{
# Packages which are manually installed inside the chroot are installed